1. Customer Accounts
ZamuPay API Documentation
  • Introduction
  • Definitions
    • Data Types
    • Transactions Response Codes
    • MCCMNC Codes
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Payouts
    • Overview
    • Payment Order Request Information
    • Mobile Money Requests
      • Overview
      • Mobile Transfers- Safaricom (M-Pesa)
      • Mobile Transfers - Airtel Money
    • Payment Order Requests - Business Transfers
      POST
    • Payment Order Requests - Bank Transfers
      POST
    • Find Payment Order By OriginatorConversationId
      GET
    • Reject Order By OriginatorConversationId
      POST
  • Pay-Ins
    • Payment Links
      • Overview
      • Create Payment Link
      • Find Payment Links By Id
      • Update Payment Link
    • Express Deposits
      • Overview
      • Express Deposit Request
      • Find Express Deposit By OriginatorConversationId
    • C2B IPN (Callback)
      • C2B IPN Overview
  • Card Payments
    • ZamuPay Server To Server Card Integration
      • Overview
      • 1. Authentication
        • Generate Auth Token
      • 2. Capture Context
        • Generate Capture Context
      • 3. Core Payment Flow
        • Payment Authorisation
        • Payment Capture
        • Payment Void
        • Payment Refund
      • 4. 3D Secure (Payer Authentication)
        • 3DS Setup
        • 3DS Enrolment Check
        • 3DS Validate Result
      • 5. Decision Manager (Fraud Screening)
        • Fraud Screen Transaction
      • 6. Payment Instruments (Card Tokenisation)
        • Save Card
        • Retrieve Saved Card
        • Delete Saved Card
      • 7. Transaction Search
        • Query Transactions
        • Get Transaction by ID
      • 8. Webhooks
        • Register Webhook Endpoint
        • List Registered Webhooks
        • Delete Webhook Endpoint
    • Cards Processing
      • Overview
      • Checkout Order Request
      • Query Checkout Request
      • Checkout Callback Request
  • Account Validation
    • Overview
    • Account Number Validation Request
    • Find KYC Status by SystemTraceAuditNumber
    • Account Validation
    • Find Account Validation Status by SystemTraceAuditNumber
  • Platform Services
    • Airtime Purchase
      • Overview
      • Airtime Purchase
      • Find Airtime Purchases By OriginatorConversationId
    • Customer Accounts
      • Balance Check
        GET
      • Find Charges By TransactionTypeId
        GET
    • Bill Payments
      • Overview
      • Bill Request Validation
      • Bill Request Payment
      • Find Bill Services
      • Find Bill Number By Service Id and Account Number
      • Find Bill Request By Originator Converstion Id
      • Bill Number
  1. Customer Accounts

Find Charges By TransactionTypeId

https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
GET
/v1/charge/fetch-charges
This request returns the charges for a particular Transaction Type. It uses the transactionTypeId as the parameter obtained when querying Find Transaction Routes request.

Sample successful response#

{
    "name": "Mpesa Charge",
    "minimumCharge": 10.00,
    "currencyName": "KES",
    "maximumCharge": 150.00,
    "graduatedScaleList": [
        {
            "value": 10.00,
            "rangeLowerLimit": 1.00,
            "rangeUpperLimit": 1000.00
        },
        {
            "value": 15.00,
            "rangeLowerLimit": 1000.01,
            "rangeUpperLimit": 5000.00
        },
        {
            "value": 20.00,
            "rangeLowerLimit": 5000.01,
            "rangeUpperLimit": 10000.00
        },
        {
            "value": 25.00,
            "rangeLowerLimit": 10000.01,
            "rangeUpperLimit": 15000.00
        },
        {
            "value": 30.00,
            "rangeLowerLimit": 15000.01,
            "rangeUpperLimit": 50000.00
        },
        {
            "value": 35.00,
            "rangeLowerLimit": 50000.01,
            "rangeUpperLimit": 100000.00
        }
    ]
}

Request

Authorization
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://auth.zamupay.com/v1/charge/fetch-charges?transactionTypeId=undefined'
Response Response Example
{}
Modified at 2026-01-29 06:19:43
Previous
Balance Check
Next
Overview
Built with